package dao

import (
	"git.tek.govt.hu/dowerx/chat/server/model"
	"git.tek.govt.hu/dowerx/chat/server/util"
)

type IChannelDAO interface {
	Create(channel model.Channel) *util.ChatError
	Read(channel model.Channel) (model.Channel, *util.ChatError)
	List() ([]model.Channel, *util.ChatError)
	Update(channel model.Channel) *util.ChatError
	Delete(channel model.Channel) *util.ChatError
}
