package dao

import "git.tek.govt.hu/dowerx/chat/server/util"

type ISessionDAO interface {
	Set(token string, id int) *util.ChatError
	Get(token string) (int, *util.ChatError)
	Delete(token string) *util.ChatError
	DeleteAllByID(id int) *util.ChatError
	Bump(token string, time int) *util.ChatError
}
