package dao

import (
	"git.tek.govt.hu/dowerx/chat/server/model"
	"git.tek.govt.hu/dowerx/chat/server/util"
)

type IUserDAO interface {
	Create(user model.User) *util.ChatError
	Read(user model.User) (model.User, *util.ChatError)
	List() ([]model.User, *util.ChatError)
	Update(user model.User) *util.ChatError
	Delete(user model.User) *util.ChatError
}
